---
apiVersion: v1
kind: Service
metadata:
  name: ai-web
spec:
  selector:
    app: ai-web
  ports:
    - protocol: TCP
      port: 5173
      targetPort: 5173
  type: ClusterIP
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: ai-web
spec:
  replicas: 1
  selector:
    matchLabels:
      app: ai-web
  template:
    metadata:
      labels:
        app: ai-web
    spec:
      containers:
      - name: ai-web
        image: dexorder/ai-web
        ports:
        - containerPort: 5173
        env:
        - name: VITE_GATEWAY_URL
          value: "https://dexorder.ai/api"
        - name: VITE_WS_URL
          value: "wss://dexorder.ai/ws"
